Subject: bug#5554: 23.1; rmail-mime not decoding attachments

From: Warren Dodge <[email-masked]>
Date: Tue, 9 Feb 2010 13:58:05 -0800

I just updated to emacs-23.1 and my RMAIL has been converted to mbox
format. I have been using the etach.el patch and M-X detach quite
successfully. It seems to have quit working in this version.

In using M-X rmail-mime it fails to properly decode attachments that
work successfully with etach.el

Is there work being done to enhance the functionality of rmail-mime? How
can I get the failing messages to someone?

In GNU Emacs 23.1.1 (i686-pc-linux-gnu, GTK+ Version 2.12.6)
 of 2010-02-09 on zephyr
Windowing system distributor `The X.Org Foundation', version 11.0.60802000
configured using `configure  '--prefix=/tools/wdtgnu/emacs-23.1' '--disable-nls''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: C
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: C
  value of $XMODIFIERS: nil
  locale-coding-system: nil
  default-enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
  display-time-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t
  view-mode: t

Recent input:
<escape> x r e p o r t <backspace> <backspace> <backspace> 
<backspace> <backspace> <backspace> <backspace> <backspace> 
<backspace> <backspace> <backspace> <backspace> <backspace> 
<backspace> y e s <return> < n n n n n n n n n n n 
n SPC <escape> x r m a i l - m i m e <return> <escape> 
x r e p o r t <tab> <return>

Recent messages:
(No new mail has arrived)
0 new messages read
Loading /login/warrend/.rmail.el (source)...done
Loading icomplete...done
Loading complete...done
Loading unique...done
Loading gnuserv...done
Loading /login/warrend/.emacs22...done
For information about GNU Emacs and the GNU system, type <f1> C-a.
View mode: type <f1> for help, h for commands, q to quit.